Index: /trunk/src/VBox/Installer/linux/vboxdrv.sh.in
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23864)
+++ /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23865)
@@ -51,4 +51,7 @@
     BUILDVBOXNETADP="/usr/share/%PACKAGE%/src/vboxnetadp/build_in_tmp"
 fi
+
+# silently exit if the package was uninstalled but not purged
+[ -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
 
 if [ -n "$NOLSB" ]; then
